petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscObjectSAWsGrantAccess

Grants access of the data fields that have been published to SAWs to change

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSAWsGrantAccess(PetscObject obj)

Collective on PetscObject

### Input Parameters

obj -the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);

### See Also

PetscObjectSetName(), PetscObjectSAWsViewOff(), PetscObjectSAWsTakeAccess()

### Level

advanced

### Location

src/sys/ams/pams.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages